List videos
curl --request GET \
--url https://api.videobase.com/v1/videos \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.videobase.com/v1/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.videobase.com/v1/videos"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"pagination": {
"page": 2,
"perPage": 2,
"total": 1
},
"folder": 123,
"list": [
{
"id": "a1b2c3d4e5f6",
"createdAt": "<string>",
"isPublic": true,
"views": 1,
"name": "<string>",
"size": 1,
"skipIntro": 1,
"links": {
"download": "<string>",
"embed": "<string>"
},
"images": {
"single": "<string>",
"thumbnail": "<string>",
"splash": "<string>"
}
}
]
}{
"message": "File not found",
"status": 500
}Videos
List videos
Returns active videos from one folder in reverse creation order.
GET
/
v1
/
videos
List videos
curl --request GET \
--url https://api.videobase.com/v1/videos \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.videobase.com/v1/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.videobase.com/v1/videos"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"pagination": {
"page": 2,
"perPage": 2,
"total": 1
},
"folder": 123,
"list": [
{
"id": "a1b2c3d4e5f6",
"createdAt": "<string>",
"isPublic": true,
"views": 1,
"name": "<string>",
"size": 1,
"skipIntro": 1,
"links": {
"download": "<string>",
"embed": "<string>"
},
"images": {
"single": "<string>",
"thumbnail": "<string>",
"splash": "<string>"
}
}
]
}{
"message": "File not found",
"status": 500
}Authorizations
ApiKeyHeaderApiKeyQuery
Recommended. Your 16-character Videobase API key.
Query Parameters
Folder ID. Use 0 or omit it for the root.
Required range:
x >= 0One-based page number.
Required range:
x >= 1Records to return per page.
Required range:
x >= 1Case-insensitive substring matched against the video title. The response pagination.total currently ignores this filter.